package base

type Cron struct {
	Uuid         string `db:"uuid"`
	Code         string `db:"code"`
	Name         string `db:"name"`
	ResourceUuid string `db:"resource_uuid"`
	Second       string `db:"sec"`
	Minute       string `db:"min"`
	Hour         string `db:"hr"`
	Day          string `db:"day"`
	Month        string `db:"mo"`
	Week         string `db:"wk"`
	OwnedUser    string `db:"owned_user"`
	UpdatedAt    string `db:"updated_at"`
	CreatedAt    string `db:"created_at"`
}

type GetCron func(code string) (Cron, bool)
