package base

type ResApiCaptcha struct {
	Uuid       string         `db:"uuid"`
	Category   int64          `db:"category"`          // 验证码类型
	ResApiUuid string         `db:"resource_api_uuid"` // 接口UUID
	Interval   int64          `db:"interval"`          // 间隔时间
	Exp        int64          `db:"exp"`               // 超时时间
	Extra      map[string]any `db:"extra"`             // 扩展配置
	UpdatedAt  string         `db:"updated_at"`
	CreatedAt  string         `db:"created_at"`
}

type GetResApiCaptcha func(uuid string) (ResApiCaptcha, bool)
