package contracts

import (
	"net/http"

	"github.com/samber/do"
)

type Captcha interface {
	Middleware(container *do.Injector) func(next http.Handler) http.Handler
	Verify(id, answer string, clear bool) bool
	Generate(captchaUuid string) (id, answer string)
}
